// JavaScript Document

function loadAccount(bankid)
{
    var mySelector = '#accountName';
    if ($('.clientNotPremium').length > 0 && $('.clientFindPremium').length > 0) {
        if ($('.clientNotPremium').is(':visible')) {
            mySelector = '.clientNotPremium #accountName';
        } else {
            mySelector = '.clientFindPremium #accountName';
        }
    }
    $(mySelector).html('<img src="images/loader.gif/>');
    $(mySelector).load('getallaccountajax.php?do=getAccountdata&bankid=' + bankid + '', function (response, status, xhr) {
        $(".selectx1").select2();
        checkcurrentamount();
    });
}



function loadAccountnumber(accountid)
{
    var mySelector = '#accountnumber';
    if ($('.clientNotPremium').length > 0 && $('.clientFindPremium').length > 0) {
        if ($('.clientNotPremium').is(':visible')) {
            mySelector = '.clientNotPremium #accountnumber';
        } else {
            mySelector = '.clientFindPremium #accountnumber';
        }
    }
    $(mySelector).html('<img src="images/loader.gif/>');
    $(mySelector).load('getallaccountajax.php?do=getAccountnumber&accountid=' + accountid + '', function (response, status, xhr) {
        checkcurrentamount();
    });
}


function loadSaveCurrentValue(saveId)
{
    $('#saveDiv').html('<img src="images/loader.gif/>');
    $.ajax({
        url: 'getallaccountajax.php?do=saveValue&saveId=' + saveId,
        type: "get",
        success: function (data) {


            // alert(data);
            $('#saveDiv').html('<div class="form-group">'
                    + '            <label for="save" class="col-lg-2 control-label">القيمة الحالية في الخزنة</label>'
                    + '            <div class="col-lg-4">'
                    + '			  <input name="saveCurrentValue" id="saveCurrentValue" class="form-control" type="text" value="' + data + '" readonly="readonly"/>'
                    + '		</div>'
                    + '          </div>');
        },
        error: function () {
            alert("لقد حدث خطأ أثناء إجراء العملية");
        }
    });
}


$("#txtAmount").keyup(function (e)
{
    checkcurrentamount();
});
function checkcurrentamount()
{
    var amount = Number($("#txtAmount").val());
    var oldacount = Number($("#accountbeginingbalanceDis").val());
    var saveCurrentValue = Number($("#saveCurrentValue").val());
    //alert(oldacount);

    var transfertype = $("#transfer").val();
    if (transfertype == 1)
    {
        if (amount > oldacount)
        {
            alert('لا يمكنك سحب شيك اكبر من الرصيد الحالى');
            $("#txtAmount").val("");
        }
    } else
    {
        if (amount > saveCurrentValue)
        {
            alert('لا يمكنك اضافه مبلغ للبنك اكبر من المبلغ الحالى للخزنه');
            $("#txtAmount").val("");
        }


    }

}


$('#delbtn').live('click', function (e) {
    let id = $(this).data('id');
    $('#transferId').val(id);
    $('#myModal1').modal('show');
});
$('#modalYes').live('click', function (e) {
    $('#myModal1').modal('hide');
    $('#modalform').submit();
});
$('#saveTranBtn').live('click', function (e) {
    var transferType = $('#transfer').val();
    var save = $('#save').val();
    var bankid = $('#ddlBank').val();
    var accountid = $('#accountid').val();
    var chckNo = $('#txtcheckNum').val();
    var userName = $('#txtUser').val();
    var value = $('#txtAmount').val();
    if (transferType == '-1') {
        $('#transferTypeError').show();
        $('#transferTypeError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 102px;'>*اختر نوع التحويل</p>");
    } else if (save == '-1') {
        $('#transferTypeError').hide();
        $('#saveError').show();
        $('#saveError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 79px;'>* اختر  الخزنة </p>");
    } else if (bankid == '-1') {
        $('#transferTypeError').hide();
        $('#saveError').hide();
        $('#bankError').show();
        $('#bankError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 79px;'>* اختر    البنك</p>");
    } else if (accountid == '-1') {
        $('#transferTypeError').hide();
        $('#saveError').hide();
        $('#bankError').hide();
        $('#accountError').show();
        $('#accountError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 79px;'>* احتر    الحساب</p>");
    } else if (chckNo == '') {
        $('#transferTypeError').hide();
        $('#saveError').hide();
        $('#bankError').hide();
        $('#accountError').hide();
        $('#chckNoError').show();
        $('#chckNoError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 124px;'>* ادخل  رقم  الشيك</p>");
    } else if (userName == '') {
        $('#transferTypeError').hide();
        $('#saveError').hide();
        $('#bankError').hide();
        $('#accountError').hide();
        $('#chckNoError').hide();
        $('#nameError').show();
        $('#nameError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 124px;'>* ادخل  اسم   المستفيد</p>");
    } else if (value == '') {
        $('#transferTypeError').hide();
        $('#saveError').hide();
        $('#bankError').hide();
        $('#accountError').hide();
        $('#chckNoError').hide();
        $('#nameError').hide();
        $('#valueError').show();
        $('#valueError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 124px;'>* ادخل  قيمة   الشيك</p>");
    } else {
        $('#valueError').hide();
        $('#myTransferForm').submit();
        $('#saveTranBtn').attr("disabled", true);
    }
});